Skip to main content
GET
/
solana
/
bags
/
pools
/
token-mint
Get Bags pool by token mint
curl --request GET \
  --url https://public-api-v2.bags.fm/api/v1/solana/bags/pools/token-mint \
  --header 'x-api-key: <api-key>'
import requests

url = "https://public-api-v2.bags.fm/api/v1/solana/bags/pools/token-mint"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://public-api-v2.bags.fm/api/v1/solana/bags/pools/token-mint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "response": {
    "tokenMint": "<string>",
    "dbcConfigKey": "<string>",
    "dbcPoolKey": "<string>",
    "dammV2PoolKey": "<string>"
  }
}
{
"success": false,
"error": "<string>"
}
{
"success": false,
"error": "<string>"
}
{
"success": false,
"error": "<string>"
}

Authorizations

x-api-key
string
header
required

API key authentication. Provide your API key as the header value.

Query Parameters

tokenMint
string
required

Public key of the token mint

Response

Successfully retrieved pool

success
boolean
required
Example:

true

response
object